ome-common 5.3.2

Public Member Functions | Public Attributes | List of all members
ome::common::RegisterModule Struct Reference

Register a module to make it available to module_runtime_path(). More...

`#include <ome/common/module.h>`

Collaboration diagram for ome::common::RegisterModule:
[legend]

## Public Member Functions
| RegisterModule (const std::string &name, const std::string &envvar, const std::string &module_envvar, const std::string &root_envvar, const boost::filesystem::path &abspath, const boost::filesystem::path &relpath, const boost::filesystem::path &install_prefix, const boost::filesystem::path &shlibpath, boost::filesystem::path(*module_path)())
| Constructor. More...
| ~RegisterModule ()
| Destructor. More...

## Public Attributes
std::string | name
| Name of the path, e.g. "bin" or "ome-xml-schema".
bool | registered
| Is the path registered in the path map?

## Detailed Description

Register a module to make it available to module_runtime_path().

The arguments are used to construct a Module object and insert it into a map for module lookups.

## Constructor & Destructor Documentation

## § RegisterModule()

ome::common::RegisterModule::RegisterModule | ( | const std::string & | name,
|  | const std::string & | envvar,
|  | const std::string & | module_envvar,
|  | const std::string & | root_envvar,
|  | const boost::filesystem::path & | abspath,
|  | const boost::filesystem::path & | relpath,
|  | const boost::filesystem::path & | install_prefix,
|  | const boost::filesystem::path & | shlibpath,
|  | boost::filesystem::path(*)() | module_path
| ) |  |

Constructor.

Register the named module.

Parameters

  name | the name of the module path.
  envvar | the environment variable to override the path.
  module_envvar | the environment variable to override the module installation path.
  root_envvar | the environment variable to override the root path.
  abspath | the absolute path.
  relpath | the relative path.
  install_prefix | the absolute installation path.
  shlibpath | the absolute path to the shared library.
  module_path | a function pointer to provide the module installation path.

References registered.

## § ~RegisterModule()

ome::common::RegisterModule::~RegisterModule | ( |  | ) |

Destructor.

Unregister the named module.

References registered.

The documentation for this struct was generated from the following files:

- ome/common/module.h
- ome/common/module.cpp